Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstanceOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance, JBPMMessages.ProcessInstance.Builder

Enclosing class:
  JBPMMessages

    public static interface JBPMMessages.ProcessInstanceOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)`
`int` | `getExclusiveGroupCount()`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()`
`long` | `getId()`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)`
`int` | `getNodeInstanceCount()`
`long` | `getNodeInstanceCounter()`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()`
`String` | `getProcessId()`
`String` | `getProcessType()`
`String` | `getProcessXml()`
`int` | `getState()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getSwimlaneContext(int index)`
`int` | `getSwimlaneContextCount()`
`List<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getSwimlaneContextList()`
`JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder` | `getSwimlaneContextOrBuilder(int index)`
`List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder>` | `getSwimlaneContextOrBuilderList()`
`JBPMMessages.Variable` | `getVariable(int index)`
`int` | `getVariableCount()`
`List<JBPMMessages.Variable>` | `getVariableList()`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()`
`boolean` | `hasId()`
`boolean` | `hasNodeInstanceCounter()`
`boolean` | `hasProcessId()`
`boolean` | `hasProcessType()`
`boolean` | `hasProcessXml()`
`boolean` | `hasState()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasProcessType

    boolean hasProcessType()

### getProcessType

    String getProcessType()

### hasId

    boolean hasId()

### getId

    long getId()

### hasProcessId

    boolean hasProcessId()

### getProcessId

    String getProcessId()

### hasState

    boolean hasState()

### getState

    int getState()

### hasNodeInstanceCounter

    boolean hasNodeInstanceCounter()

### getNodeInstanceCounter

    long getNodeInstanceCounter()

### hasProcessXml

    boolean hasProcessXml()

### getProcessXml

    String getProcessXml()

### getSwimlaneContextList

    List<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getSwimlaneContextList()

### getSwimlaneContext

    JBPMMessages.ProcessInstance.SwimlaneContextInstance getSwimlaneContext(int index)

### getSwimlaneContextCount

    int getSwimlaneContextCount()

### getSwimlaneContextOrBuilderList

    List<? extends JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder> getSwimlaneContextOrBuilderList()

### getSwimlaneContextOrBuilder

    JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder getSwimlaneContextOrBuilder(int index)

### getNodeInstanceList

    List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

### getNodeInstance

    JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

### getNodeInstanceCount

    int getNodeInstanceCount()

### getNodeInstanceOrBuilderList

    List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

### getNodeInstanceOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

### getVariableList

    List<JBPMMessages.Variable> getVariableList()

### getVariable

    JBPMMessages.Variable getVariable(int index)

### getVariableCount

    int getVariableCount()

### getVariableOrBuilderList

    List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

### getVariableOrBuilder

    JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

### getExclusiveGroupList

    List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

### getExclusiveGroup

    JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

### getExclusiveGroupCount

    int getExclusiveGroupCount()

### getExclusiveGroupOrBuilderList

    List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

### getExclusiveGroupOrBuilder

    JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.